EX_COMMAND(3)

FUNCTION
ex_command - Extract command from string.

SYNOPSIS
#include <karma_ex.h>

char * ex_command

(CONST char *str, CONST char **rest)

DESCRIPTION
This routine will extract a command from a string. The operation is similar to <-ex_word-> except that any of " /=?!" terminate a command.

str The string to extract from.

rest
    A pointer beyond the command will be written here.

RETURN VALUE
The command.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/